---

  - import_role:
      name: _app_log_inventory
    vars:
      log_type: "server"
      server_name: "nodejs"

  - name: "nodejs repo"
    shell: "curl -sL https://deb.nodesource.com/setup_{{ nodejs_major_version }} | sudo bash -"
    args:
      creates: "/etc/apt/sources.list.d/nodesource.list"

  - name: "nodejs base packages"
    apt:
      name: "{{ nodejs_base_package }}"
      state: latest
      update_cache: yes
    loop: "{{ nodejs_base_packages }}"
    loop_control:
      loop_var: nodejs_base_package

  - name: "nodejs global modules"
    npm:
      name: "{{ nodejs_global_module }}"
      global: yes
      state: present
    loop: "{{ nodejs_global_modules }}"
    loop_control:
      loop_var: nodejs_global_module

  - name: "install node {{ nodejs_minor_version }}"
    shell: "n {{ nodejs_minor_version }}"
